<?php
   function perfboost_page_panel()
   {
       if (!function_exists('is_plugin_active'))
       {
           require_once (ABSPATH . 'wp-admin/includes/plugin.php');
       }
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <form id="myForm" method="post" action="admin.php?page=perfboost_page_panel">
         <?php
            wp_nonce_field('perfboost_save_rules', '_perfboostr_nonce');
            
            
            if (isset($_GET['settings-updated'])) {
            ?>
         <div>
            <p class="cr_saved_notif"><strong><?php echo esc_html__("Settings saved.", 'perfboost-scheduled-plugin-deactivator');?></strong></p>
         </div>
         <?php
            }
            ?>
         <div>
            <div class="hideMain">
               <hr/>
               <div class="table-responsive">
                  <table id="mainRules" class="responsive table cr_main_table">
                     <thead>
                        <tr>
                           <th>
                              <?php echo esc_html__("ID", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("This is the ID of the rule. ", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Plugins to Manage", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the plugins you would like to activate or deactivate.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Device Type", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the device types where you wish to apply this rule.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Change Status", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the how you wish to change the activation status of the selected plugins.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("More Options", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Shows advanced settings for this rule.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th class="cr_max_width_40">
                              <?php echo esc_html__("Del", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Do you want to delete this rule?", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th class="cr_max_55">
                              <?php echo esc_html__("Active", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Do you want to enable this rule? You can deactivate any rule (you don't have to delete them to deactivate them).", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                              <br/>
                              <input type="checkbox" onchange="thisonChangeHandler(this)" id="exclusion">
                           </th>
                           <th class="cr_max_42">
                              <?php echo esc_html__("Info", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("The number of items (posts, pages) this rule has generated so far.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th class="cr_actions">
                              <?php echo esc_html__("Actions", 'perfboost-scheduled-plugin-deactivator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Do you want to run this rule now? Note that only one instance of a rule is allowed at once.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                        </tr>
                        
                     </thead>
                     <tbody>
                        <?php
                           echo perfboost_expand_rules_page();
                           ?>
                        
                        <tr>
                           <td class="cr_short_td">-</td>
                           <td class="cr_sz">
                              <select multiple size="5" id="date" name="perfboost_page_list[date][]" class="cr_width_full">
                                 <option value="no_val" disabled selected><?php echo esc_html__("Select an option", 'perfboost-scheduled-plugin-deactivator');?></option> 
<?php
                                $result = get_plugins();
                                {
                                    foreach($result as $indx => $plgns)
                                    {
                                        echo '<option value="' . $indx . '">';
                                        if(is_plugin_active($indx))
                                        {
                                            echo '[ACTIVATED] ';
                                        }
                                        echo $plgns['Name'] . '</option>' ;
                                    }
                                }
?>
                              </select>
                           </td>
                           <td class="cr_comm_td">
                           <select id="schedule" name="perfboost_page_list[schedule][]" max="8765812" class="cr_width_full">
                                 <option value="all"><?php echo esc_html__("All", 'perfboost-scheduled-plugin-deactivator');?></option>
                                 <option value="desktop"><?php echo esc_html__("Desktop", 'perfboost-scheduled-plugin-deactivator');?></option>
                                 <option value="tablet"><?php echo esc_html__("Tablet", 'perfboost-scheduled-plugin-deactivator');?></option>
                                 <option value="mobile"><?php echo esc_html__("Mobile", 'perfboost-scheduled-plugin-deactivator');?></option>
                              </select></td>
                           <td class="cr_width_100p">
                              <select id="submit_status" name="perfboost_page_list[submit_status][]" class="cr_width_full">
                                 <option value="activate"><?php echo esc_html__("Activate", 'perfboost-scheduled-plugin-deactivator');?></option>
                                 <option value="deactivate"><?php echo esc_html__("Deactivate", 'perfboost-scheduled-plugin-deactivator');?></option>
                              </select>
                           </td>
                           <td class="cr_width_70">
                              <input type="button" id="mybtnfzr" value="Settings">
                              <div id="mymodalfzr" class="codemodalfzr">
                                 <div class="codemodalfzr-content">
                                    <div class="codemodalfzr-header">
                                       <span id="perfboost_close" class="codeclosefzr">&times;</span>
                                       <h2><span class="cr_color_white"><?php echo esc_html__("New Rule", 'perfboost-scheduled-plugin-deactivator');?></span> <?php echo esc_html__("Advanced Settings", 'perfboost-scheduled-plugin-deactivator');?></h2>
                                    </div>
                                    <div class="codemodalfzr-body">
                                       <div class="table-responsive">
                                          <table class="responsive table cr_main_table_nowr">
                                          <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Select how you wish to match URLs.", 'perfboost-scheduled-plugin-deactivator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("URI Condition Type:", 'perfboost-scheduled-plugin-deactivator');?></b>
                                                </td>
                                                <td>
                                                <select id="match_type" name="perfboost_page_list[match_type][]" class="cr_width_full">
                                                 <option value="equals"><?php echo esc_html__("URL Equals", 'perfboost-scheduled-plugin-deactivator');?></option>
                                                 <option value="notequals"><?php echo esc_html__("URL Not Equals", 'perfboost-scheduled-plugin-deactivator');?></option>
                                                 <option value="contains"><?php echo esc_html__("URL Matches", 'perfboost-scheduled-plugin-deactivator');?></option>
                                                 <option value="notcontains"><?php echo esc_html__("URL Not Matches", 'perfboost-scheduled-plugin-deactivator');?></option>
                                              </select>
                                                </div>
                                                </td>
                                          </tr>
                                          <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Input the matching URL rules to use. You can use the * to match any character.", 'perfboost-scheduled-plugin-deactivator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("URI Condition String:", 'perfboost-scheduled-plugin-deactivator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" name="perfboost_page_list[match_str][]" class="cr_width_full" placeholder="Match URLs" value=""/>
                                                </div>
                                                </td>
                                          </tr>
                                          </table>
                                       </div>
                                    </div>
                                    <div class="codemodalfzr-footer">
                                       <br/>
                                       <h3 class="cr_inline">PerfBoost Automatic Post Generator</h3>
                                       <span id="perfboost_ok" class="codeokfzr cr_inline">OK&nbsp;</span>
                                       <br/><br/>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="cr_shrt_td2"><span class="cr_gray20">X</span></td>
                           <td class="cr_short_td"><input type="checkbox" name="perfboost_page_list[active][]" value="1" checked />
                           </td>
                           <td class="cr_short_td">
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("No info.", 'perfboost-scheduled-plugin-deactivator');
                                       ?>
                                 </div>
                              </div>
                           </td>
                           <td class="cr_center">
                              <div>
                                 <img src="<?php
                                    echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/running.gif');
                                    ?>" alt="Running" class="cr_running">
                                 <div class="codemainfzr cr_gray_back">
                                    <select id="actions" class="actions" name="actions" disabled>
                                       <option value="select" disabled selected><?php echo esc_html__("Select an Action", 'perfboost-scheduled-plugin-deactivator');?></option>
                                       <option value="run" onclick=""><?php echo esc_html__("Run This Rule Now", 'perfboost-scheduled-plugin-deactivator');?></option>
                                       <option value="duplicate" onclick=""><?php echo esc_html__("Duplicate This Rule", 'perfboost-scheduled-plugin-deactivator');?></option>
                                    </select>
                                 </div>
                              </div>
                           </td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
         <hr/>
         <div>
            <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'perfboost-scheduled-plugin-deactivator');?>"/></p>
         </div>
      </form>
      <?php echo sprintf( wp_kses( __( 'Do you want to get more precise schedules? <a href="%s" target="_blank">Replace wp_cron with server cron</a>.', 'perfboost-scheduled-plugin-deactivator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://coderevolution.ro/knowledge-base/faq/how-to-replace-wp_cron-with-server-cron/' ) );?><br/>
   </div>
</div>
<?php
   }
   if (isset($_POST['perfboost_page_list'])) {
       add_action('admin_init', 'perfboost_save_rules_page');
   }
   
   function perfboost_save_rules_page($data2)
   {
       check_admin_referer('perfboost_save_rules', '_perfboostr_nonce');
       
       $data2 = $_POST['perfboost_page_list'];
       $rules = array();
       $cont  = 0;
       $cat_cont = 0;
       $xcat_cont = 0;
       if (isset($data2['submit_status'][0])) {
           for ($i = 0; $i < sizeof($data2['submit_status']); ++$i) {
               $bundle = array();
               if (isset($data2['schedule'][$i]) && $data2['schedule'][$i] != '') {
                   
                   if($i == sizeof($data2['schedule']) - 1 && !isset($data2['date']))
                   {
                       $xcat_cont++;
                       $cat_cont++;
                       $cont++;
                       continue;
                   }
                   $bundle[] = trim(sanitize_text_field($data2['schedule'][$i]));
                   if (isset($data2['active'][$i])) {
                       $bundle[] = trim(sanitize_text_field($data2['active'][$i]));
                   } else {
                       $bundle[] = '0';
                   }
                   $bundle[]     = trim(sanitize_text_field($data2['submit_status'][$i]));
                   
                   if($i == sizeof($data2['schedule']) - 1)
                   {
                       if(isset($data2['date']) && $data2['date'] != array('no_val'))
                       {
                           $bundle[]     = $data2['date'];
                       }
                       else
                       {
                           if(!isset($data2['date' . $xcat_cont]))
                           {
                               $xcat_cont++;
                           }
                           if(!isset($data2['date' . $xcat_cont]))
                           {
                               $bundle[]     = array('no_val');
                           }
                           else
                           {
                               $bundle[]     = $data2['date' . $xcat_cont];
                           }
                       }
                   }
                   else
                   {
                       if(!isset($data2['date' . $xcat_cont]))
                       {
                           $xcat_cont++;
                       }
                       if(!isset($data2['date' . $xcat_cont]))
                       {
                           $bundle[]     = array('no_val');
                       }
                       else
                       {
                           $bundle[]     = $data2['date' . $xcat_cont];
                       }
                   }
                   $bundle[]     = trim(sanitize_text_field($data2['match_type'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['match_str'][$i]));
                   $rules[$cont] = $bundle;
                   $cont++;
                   $cat_cont++;
                   $xcat_cont++;
               }
           }
       }
       update_option('perfboost_page_list', $rules, false);
   }
   function perfboost_expand_rules_page()
   {
       $cat_args   = array(
                   "orderby" => "name",
                   "hide_empty" => 0,
                   "order" => "ASC"
       );
       $GLOBALS['wp_object_cache']->delete('perfboost_running_list', 'options');
       if (!get_option('perfboost_running_list', false)) {
           $running = array();
       } else {
           $running = get_option('perfboost_running_list');
       }
       
       $GLOBALS['wp_object_cache']->delete('perfboost_page_list', 'options');
       $rules  = get_option('perfboost_page_list');
    if(!is_array($rules))
    {
       $rules = array();
    }
       $output = '';
       $cont   = 0;
       if (!empty($rules)) {
           $posted_items = array();
           $counted_vals = array();
           
           if(array_sum($counted_vals) > 100)
           {
               $get_me = get_option('perfboost_rating_trigger', false);
               if($get_me === false)
               {
                   update_option('perfboost_rating_trigger', '1');
               }
           }
           $result = get_plugins();
           foreach ($rules as $request => $bundle[]) {
               if (isset($counted_vals[$cont])) {
                   $generated_posts = $counted_vals[$cont];
               } else {
                   $generated_posts = 0;
               }
               $bundle_values          = array_values($bundle);
               $myValues               = $bundle_values[$cont];
               $array_my_values        = array_values($myValues);for($iji=0;$iji<count($array_my_values);++$iji){if(is_string($array_my_values[$iji])){$array_my_values[$iji]=stripslashes($array_my_values[$iji]);}}
               $schedule               = $array_my_values[0];
               $active                 = $array_my_values[1];
               $status                 = $array_my_values[2];
               $date                   = $array_my_values[3];
               $match_type             = $array_my_values[4];
               $match_str              = $array_my_values[5];
               wp_add_inline_script('perfboost-footer-script', 'createAdmin(' . esc_html($cont) . ');', 'after');
               $output .= '<tr>
                           <td class="cr_short_td">' . esc_html($cont);
               $output .= '</td>
                           <td class="cr_sz"><select multiple size="5" id="date" name="perfboost_page_list[date' . esc_html($cont) . '][]" class="cr_width_full">';
                                {
                                    foreach($result as $indx => $plgns)
                                    {
                                        $output .= '<option value="' . $indx . '"';
                                        foreach($date as $datec)
                                        {
                                            if ($indx == $datec) {
                                                $output .= ' selected';
                                                break;
                                            }
                                        }
                                        $output .= '>' . $plgns['Name'] . '</option>' ;
                                    }
                                }
   $output .= '</select></td>
   						<td class="cr_comm_td"><select id="schedule" name="perfboost_page_list[schedule][]" max="8765812" class="cr_width_full">
                                     <option value="all"';
               if ($schedule == 'all') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("All", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="desktop"';
               if ($schedule == 'desktop') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Desktop", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="tablet"';
               if ($schedule == 'tablet') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Tablet", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="mobile"';
               if ($schedule == 'mobile') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Mobile", 'perfboost-scheduled-plugin-deactivator') . '</option>';
               $output .= '</select>
                        </td>
                           <td class="cr_width_100p"><select id="submit_status" name="perfboost_page_list[submit_status][]" class="cr_width_full">
                                     <option value="activate"';
               if ($status == 'activate') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Activate", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="deactivate"';
               if ($status == 'deactivate') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Deactivate", 'perfboost-scheduled-plugin-deactivator') . '</option>';
               $output .= '</select>  </td>
                       <td class="cr_width_70">
                       <input type="button" id="mybtnfzr' . esc_html($cont) . '" value="Settings">
                       <div id="mymodalfzr' . esc_html($cont) . '" class="codemodalfzr">
     <div class="codemodalfzr-content">
       <div class="codemodalfzr-header">
         <span id="perfboost_close' . esc_html($cont) . '" class="codeclosefzr">&times;</span>
         <h2>' . esc_html__('Rule', 'perfboost-scheduled-plugin-deactivator') . ' <span class="cr_color_white">ID ' . esc_html($cont) . '</span> ' . esc_html__('Advanced Settings', 'perfboost-scheduled-plugin-deactivator') . '</h2>
       </div>
       <div class="codemodalfzr-body">
       <div class="table-responsive">
         <table class="responsive table cr_main_table_nowr">
         <tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select how you wish to match URLs.", 'perfboost-scheduled-plugin-deactivator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("URI Condition Type", 'perfboost-scheduled-plugin-deactivator') . ':</b>
                       
                       </td><td>
                       <select id="match_type" name="perfboost_page_list[match_type][]" class="cr_width_full">
                                     <option value="equals"';
               if ($match_type == 'equals') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("URL Equals", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="notequals"';
               if ($match_type == 'notequals') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("URL Not Equals", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="contains"';
               if ($match_type == 'contains') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("URL Matches", 'perfboost-scheduled-plugin-deactivator') . '</option>
                                     <option value="notcontains"';
               if ($match_type == 'notcontains') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("URL Not Matches", 'perfboost-scheduled-plugin-deactivator') . '</option>';
               $output .= '</select>    
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Input the matching URL rules to use. You can use the * to match any character.", 'perfboost-scheduled-plugin-deactivator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("URI Condition String", 'perfboost-scheduled-plugin-deactivator') . ':</b>
                       
                       </td><td>
                       <input type="text" placeholder="Match URLs" name="perfboost_page_list[match_str][]" value="' . esc_attr($match_str) . '" class="cr_width_full">
           </div>
         </td></tr>
         
         </table></div> 
       </div>
       <div class="codemodalfzr-footer">
         <br/>
         <h3 class="cr_inline">PerfBoost Automatic Post Generator</h3><span id="perfboost_ok' . esc_html($cont) . '" class="codeokfzr cr_inline">OK&nbsp;</span>
         <br/><br/>
       </div>
     </div>
   
   </div>       
                       </td>
   						<td class="cr_shrt_td2"><span class="wpperfboost-delete">X</span></td>
                           <td class="cr_short_td"><input type="checkbox" name="perfboost_page_list[active][]" class="activateDeactivateClass" value="1"';
               if (isset($active) && $active === '1') {
                   $output .= ' checked';
               }
               $output .= '/>
                           <td class="cr_shrt_td2"><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px"></div>
                       </div></td>
                           <td class="cr_center">
                           <div>
                           <img id="run_img' . esc_html($cont) . '" src="' . plugin_dir_url(dirname(__FILE__)) . 'images/running.gif' . '" alt="Running" class="cr_status_icon';
               if (!empty($running)) {           
                   if (!in_array(array($cont => '1'), $running)) {
                       $output .= ' cr_hidden';
                   }
                   else
                   {
                       $f = fopen(get_temp_dir() . 'perfboost_1_' . $cont, 'w');
                       if($f !== false)
                       {
                           if (!flock($f, LOCK_EX | LOCK_NB)) {
                           }
                           else
                           {
                               flock($f, LOCK_UN);
                               $output .= ' cr_hidden';
                               if (($xxkey = array_search(array($cont => '1'), $running)) !== false) {
                                   unset($running[$xxkey]);
                                   update_option('perfboost_running_list', $running);
                               }
                           }
                       }
                   }
               } else {
                   $output .= ' cr_hidden';
               }
               $output .= '" title="status">
                           <div class="codemainfzr">
                           <select id="actions" class="actions" name="actions" onchange="actionsChangedManual(' . esc_html($cont) . ', this.value, 1);" onfocus="this.selectedIndex = 0;">
                               <option value="select" disabled selected>' . esc_html__("Select an Action", 'perfboost-scheduled-plugin-deactivator') . '</option>
                               <option value="run">' . esc_html__("Run This Rule Now", 'perfboost-scheduled-plugin-deactivator') . '</option>
                               <option value="duplicate">' . esc_html__("Duplicate This Rule", 'perfboost-scheduled-plugin-deactivator') . '</option>
                           </select>
                           </div>
                           </div>
                           </td>
   					</tr>	
   					';
               $cont = $cont + 1;
           }
       }
       return $output;
   }
   ?>