<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$writeAccess = false;
$access_type = get_filesystem_method();
if( $access_type === 'direct' ){
	$creds = request_filesystem_credentials( admin_url(), '', false, false, array() );
	if ( ! WP_Filesystem( $creds ) ) {
		perfboost_log_to_file('Failed to init wp filesystem  to automatically install mu-plugin, plugin deactivation pe page will not work.');
		return false;
	}	
	global $wp_filesystem;
	$writeAccess = true;
	if( empty( $wp_filesystem ) ){
		require_once ( ABSPATH . '/wp-admin/includes/file.php' );
		WP_Filesystem();
	}
    if ( defined( 'WPMU_PLUGIN_DIR' ) ) {
        $perfboost_mu_plugins_path = WPMU_PLUGIN_DIR;
    } else {
        $perfboost_mu_plugins_path = WP_CONTENT_DIR . '/' . 'mu-plugins';
    }
	if( !$wp_filesystem->is_dir( $perfboost_mu_plugins_path ) ){
		$wp_filesystem->mkdir( $perfboost_mu_plugins_path );
	}
    $plugin_dir = dirname(__FILE__) . '/mu-plugins/perfboost-mu-plugin.php';
    $destination = $perfboost_mu_plugins_path.'/perfboost-mu-plugin.php';
    $copied = $wp_filesystem->copy( $plugin_dir, $destination );
	if ( !$copied ) {
        perfboost_log_to_file( 'Failed to create perfboost-mu-plugin.php mu-plugin','perfboost-scheduled-plugin-deactivator' );
    }
}	
else{
    perfboost_log_to_file('Failed to automatically install mu-plugin, plugin deactivation pe page will not work.');
}