<?php
   function perfboost_admin_settings()
   {
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
<div>
<form id="myForm" method="post" action="<?php if(is_multisite() && is_network_admin()){echo '../options.php';}else{echo 'options.php';}?>">
   <div class="cr_autocomplete">
      <input type="password" id="PreventChromeAutocomplete" 
         name="PreventChromeAutocomplete" autocomplete="address-level4" />
   </div>
   <?php
      settings_fields('perfboost_option_group');
      do_settings_sections('perfboost_option_group');
      $perfboost_Main_Settings = get_option('perfboost_Main_Settings', false);
      if (isset($perfboost_Main_Settings['perfboost_enabled'])) {
          $perfboost_enabled = $perfboost_Main_Settings['perfboost_enabled'];
      } else {
          $perfboost_enabled = '';
      }
      if (isset($perfboost_Main_Settings['enable_detailed_logging'])) {
          $enable_detailed_logging = $perfboost_Main_Settings['enable_detailed_logging'];
      } else {
          $enable_detailed_logging = '';
      }
      if (isset($perfboost_Main_Settings['enable_logging'])) {
          $enable_logging = $perfboost_Main_Settings['enable_logging'];
      } else {
          $enable_logging = '';
      }
      if (isset($perfboost_Main_Settings['auto_clear_logs'])) {
          $auto_clear_logs = $perfboost_Main_Settings['auto_clear_logs'];
      } else {
          $auto_clear_logs = '';
      }
      $get_option_viewed = get_option('coderevolution_settings_viewed', 0);
      if ($get_option_viewed == 0) {
      ?>
   <div id="message" class="updated">
      <p class="cr_saved_notif"><strong>&nbsp;<?php echo sprintf( wp_kses( __( 'Did you see our new <a href="%s" target="_blank">recommendations page</a>? It will help you increase your passive earnings!', 'perfboost-scheduled-plugin-deactivator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'admin.php?page=perfboost_recommendations' ) );?></strong></p>
   </div>
   <?php
      }
      if (isset($_GET['settings-updated'])) {
      ?>
   <div id="message" class="updated">
      <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'perfboost-scheduled-plugin-deactivator');?></strong></p>
   </div>
   <?php
      $get = get_option('coderevolution_settings_changed', 0);
      if($get == 1)
      {
          delete_option('coderevolution_settings_changed');
      ?>
   <div id="message" class="updated">
      <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'perfboost-scheduled-plugin-deactivator');?></strong></p>
   </div>
   <?php 
      }
      elseif($get == 2)
      {
              delete_option('coderevolution_settings_changed');
      ?>
   <div id="message" class="updated">
      <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'perfboost-scheduled-plugin-deactivator');?></strong></p>
   </div>
   <?php 
      }
      elseif($get != 0)
      {
              delete_option('coderevolution_settings_changed');
      ?>
   <div id="message" class="updated">
      <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html($get);?></strong></p>
   </div>
   <?php 
      }
          }
      ?>
   <div>
   <div class="perfboost_class">
      <table class="widefat">
         <tr>
            <td>
               <h1>
                  <span class="gs-sub-heading"><b>PerfBoost Automatic Post Generator Plugin - <?php echo esc_html__('Main Switch:', 'perfboost-scheduled-plugin-deactivator');?></b>&nbsp;</span>
                  <span class="cr_07_font">v1.0&nbsp;</span>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Enable or disable this plugin. This acts like a main switch.", 'perfboost-scheduled-plugin-deactivator');
                           ?>
                     </div>
                  </div>
               </h1>
            </td>
            <td>
               <div class="slideThree">	
                  <input class="input-checkbox" type="checkbox" id="perfboost_enabled" name="perfboost_Main_Settings[perfboost_enabled]"<?php
                     if ($perfboost_enabled == 'on')
                         echo ' checked ';
                     ?>>
                  <label for="perfboost_enabled"></label>
               </div>
            </td>
         </tr>
      </table>
   </div>
   <div><?php if($perfboost_enabled != 'on'){echo '<div class="crf_bord cr_color_red cr_auto_update">' . esc_html__('This feature of the plugin is disabled! Please enable it from the above switch.', 'perfboost-scheduled-plugin-deactivator') . '</div>';}?>
      <table class="widefat">
         <tr>
            <td colspan="2">
               <?php
                  $plugin = plugin_basename(__FILE__);
                  $plugin_slug = explode('/', $plugin);
                  $plugin_slug = $plugin_slug[0]; 
                  $uoptions = get_option($plugin_slug . '_registration', array());
                  if(isset($uoptions['item_id']) && isset($uoptions['item_name']) && isset($uoptions['created_at']) && isset($uoptions['buyer']) && isset($uoptions['licence']) && isset($uoptions['supported_until']))
                  {
                  ?>
               <h3><b><?php echo esc_html__("Plugin Registration Info - Automatic Updates Enabled:", 'perfboost-scheduled-plugin-deactivator');?></b> </h3>
               <ul>
                  <li><b><?php echo esc_html__("Item Name:", 'perfboost-scheduled-plugin-deactivator');?></b> <?php echo esc_html($uoptions['item_name']);?></li>
                  <li>
                     <b><?php echo esc_html__("Item ID:", 'perfboost-scheduled-plugin-deactivator');?></b> <?php echo esc_html($uoptions['item_id']);?>
                  </li>
                  <li>
                     <b><?php echo esc_html__("Created At:", 'perfboost-scheduled-plugin-deactivator');?></b> <?php echo esc_html($uoptions['created_at']);?>
                  </li>
                  <li>
                     <b><?php echo esc_html__("Buyer Name:", 'perfboost-scheduled-plugin-deactivator');?></b> <?php echo esc_html($uoptions['buyer']);?>
                  </li>
                  <li>
                     <b><?php echo esc_html__("License Type:", 'perfboost-scheduled-plugin-deactivator');?></b> <?php echo esc_html($uoptions['licence']);?>
                  </li>
                  <li>
                     <b><?php echo esc_html__("Supported Until:", 'perfboost-scheduled-plugin-deactivator');?></b> <?php echo esc_html($uoptions['supported_until']);?>
                  </li>
                  <li>
                     <input type="submit" onclick="unsaved = false;" class="button button-primary" name="<?php echo esc_html($plugin_slug);?>_revoke_license" value="<?php echo esc_html__("Revoke License", 'perfboost-scheduled-plugin-deactivator');?>">
                  </li>
               </ul>
               <?php
                  }
                  else
                  {
                  ?>
               <div class="notice notice-error is-dismissible"><p><?php echo esc_html__("This is a trial version of the plugin. Automatic updates for this plugin are disabled. Please activate the plugin from below, so you can benefit of automatic updates for it!", 'perfboost-scheduled-plugin-deactivator');?></b></h3>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo sprintf( wp_kses( __( 'Please input your Envato purchase code, to enable automatic updates in the plugin. To get your purchase code, please follow <a href="%s" target="_blank">this tutorial</a>. Info submitted to the registration server consists of: purchase code, site URL, site name, admin email. All these data will be used strictly for registration purposes.', 'perfboost-scheduled-plugin-deactivator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base/faq/how-do-i-find-my-items-purchase-code-for-plugin-license-activation/' ) );
                        ?>
                  </div>
               </div>
               <b><?php echo esc_html__("Register Envato Purchase Code To Enable Automatic Updates:", 'perfboost-scheduled-plugin-deactivator');?></b>
            </td>
            <td><input type="text" name="<?php echo esc_html($plugin_slug);?>_register_code" value="" placeholder="<?php echo esc_html__("Envato Purchase Code", 'perfboost-scheduled-plugin-deactivator');?>"></td>
         </tr>
         <tr>
            <td></td>
            <td><input type="submit" name="<?php echo esc_html($plugin_slug);?>_register" id="<?php echo esc_html($plugin_slug);?>_register" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Register Purchase Code", 'perfboost-scheduled-plugin-deactivator');?>"/>
               <?php
                  }
                  ?>
            </td>
         </tr>
         <tr>
            <td>
               <hr/>
            </td>
            <td>
               <hr/>
            </td>
         </tr>
      <tr><td>
      <h3><?php echo esc_html__("Plugin Recommendations:", 'perfboost-scheduled-plugin-deactivator');?></h3>
         <ul>
            <li><?php echo sprintf( wp_kses( __( 'Need help configuring this plugin? Please check out it\'s <a href="%s" target="_blank">video tutorial</a>.', 'perfboost-scheduled-plugin-deactivator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://www.youtube.com/watch?v=-UxyLmavqHk&list=PLEiGTaa0iBIhGvrQv-GMAkHuXxu4yByf4&index=1' ) );?>
            </li>
            <li><?php echo sprintf( wp_kses( __( 'Having issues with the plugin? Please be sure to check out our <a href="%s" target="_blank">knowledge-base</a> before you contact <a href="%s" target="_blank">our support</a>!', 'perfboost-scheduled-plugin-deactivator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base' ), esc_url('//coderevolution.ro/support' ) );?></li>
            <li><?php echo sprintf( wp_kses( __( 'Do you enjoy our plugin? Please give it a <a href="%s" target="_blank">rating</a>  on CodeCanyon, or check <a href="%s" target="_blank">our website</a>  for other cool plugins.', 'perfboost-scheduled-plugin-deactivator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//codecanyon.net/downloads' ), esc_url( 'https://coderevolution.ro' ) );?></a></li>
         </ul>
      </td></tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to enable logging for rules?", 'perfboost-scheduled-plugin-deactivator');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Enable Logging for Rules:", 'perfboost-scheduled-plugin-deactivator');?></b>
            </td>
            <td>
            <input type="checkbox" id="enable_logging" name="perfboost_Main_Settings[enable_logging]"<?php
               if ($enable_logging == 'on')
                   echo ' checked ';
               ?>>
            </div>
            </td>
         </tr>
         <tr>
            <td>
               <div class="hideLog">
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to enable detailed logging for rules? Note that this will dramatically increase the size of the log this plugin generates.", 'perfboost-scheduled-plugin-deactivator');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Enable Detailed Logging for Rules:", 'perfboost-scheduled-plugin-deactivator');?></b>
               </div>
            </td>
            <td>
               <div class="hideLog">
                  <input type="checkbox" id="enable_detailed_logging" name="perfboost_Main_Settings[enable_detailed_logging]"<?php
                     if ($enable_detailed_logging == 'on')
                         echo ' checked ';
                     ?>>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div class="hideLog">
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Choose if you want to automatically clear logs after a period of time.", 'perfboost-scheduled-plugin-deactivator');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Automatically Clear Logs After:", 'perfboost-scheduled-plugin-deactivator');?></b>
               </div>
            </td>
            <td>
               <div class="hideLog">
                  <select class="cr_width_full" id="auto_clear_logs" name="perfboost_Main_Settings[auto_clear_logs]" >
                     <option value="No"<?php
                        if ($auto_clear_logs == "No") {
                            echo " selected";
                        }
                        ?>><?php echo esc_html__("Disabled", 'perfboost-scheduled-plugin-deactivator');?></option>
                     <option value="monthly"<?php
                        if ($auto_clear_logs == "monthly") {
                            echo " selected";
                        }
                        ?>><?php echo esc_html__("Once a month", 'perfboost-scheduled-plugin-deactivator');?></option>
                     <option value="weekly"<?php
                        if ($auto_clear_logs == "weekly") {
                            echo " selected";
                        }
                        ?>><?php echo esc_html__("Once a week", 'perfboost-scheduled-plugin-deactivator');?></option>
                     <option value="daily"<?php
                        if ($auto_clear_logs == "daily") {
                            echo " selected";
                        }
                        ?>><?php echo esc_html__("Once a day", 'perfboost-scheduled-plugin-deactivator');?></option>
                     <option value="twicedaily"<?php
                        if ($auto_clear_logs == "twicedaily") {
                            echo " selected";
                        }
                        ?>><?php echo esc_html__("Twice a day", 'perfboost-scheduled-plugin-deactivator');?></option>
                     <option value="hourly"<?php
                        if ($auto_clear_logs == "hourly") {
                            echo " selected";
                        }
                        ?>><?php echo esc_html__("Once an hour", 'perfboost-scheduled-plugin-deactivator');?></option>
                  </select>
               </div>
            </td>
         </tr>
      </table>
         <div>
            <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'perfboost-scheduled-plugin-deactivator');?>"/></p>
         </div>
         </div></div></div>
</form>
</div>
</div>
<?php
   }
   ?>