<?php
function perfboost_poster_panel()
{
   if(!function_exists('is_plugin_active'))
   {
       include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
   }
?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <?php
         {
         ?>
      <form id="myForm" method="post" action="<?php if(is_multisite() && is_network_admin()){echo '../options.php';}else{echo 'options.php';}?>">
         <?php
            settings_fields('perfboost_option_group2');
            do_settings_sections('perfboost_option_group2');
            $perfboost_Poster_Settings = get_option('perfboost_Poster_Settings', false);
            if (isset($perfboost_Poster_Settings['perfboost_posting'])) {
                $perfboost_posting = $perfboost_Poster_Settings['perfboost_posting'];
            } else {
                $perfboost_posting = '';
            }
            if (isset($perfboost_Poster_Settings['plug_list'])) {
                $plug_list = $perfboost_Poster_Settings['plug_list'];
            } else {
                $plug_list = '';
            }
            if (isset($perfboost_Poster_Settings['activate_deactivate'])) {
                $activate_deactivate = $perfboost_Poster_Settings['activate_deactivate'];
            } else {
                $activate_deactivate = '';
            }
            if (isset($perfboost_Poster_Settings['network_wide'])) {
                $network_wide = $perfboost_Poster_Settings['network_wide'];
            } else {
                $network_wide = '';
            }
            if (isset($perfboost_Poster_Settings['no_hook'])) {
                $no_hook = $perfboost_Poster_Settings['no_hook'];
            } else {
                $no_hook = '';
            }
            if (isset($perfboost_Poster_Settings['revert_after'])) {
                $revert_after = $perfboost_Poster_Settings['revert_after'];
            } else {
                $revert_after = '';
            }
            if (isset($_GET['settings-updated'])) {
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'perfboost-scheduled-plugin-deactivator');?></strong></p>
         </div>
         <?php
            $get = get_option('coderevolution_settings_changed', 0);
            if($get == 1)
            {
                delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'perfboost-scheduled-plugin-deactivator');?></strong></p>
         </div>
         <?php 
            }
            elseif($get == 2)
            {
                    delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'perfboost-scheduled-plugin-deactivator');?></strong></p>
         </div>
         <?php 
            }
            elseif($get != 0)
            {
                    delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html($get);?></strong></p>
         </div>
         <?php 
            }
                }
            ?>
         <div>
            <div class="perfboost_class">
               <table class="widefat">
                  <tr>
                     <td>
                        <h1>
                           <span class="gs-sub-heading"><b><?php echo esc_html__('Change Plugin Status On Post Publishing:', 'perfboost-scheduled-plugin-deactivator');?></b>&nbsp;</span>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Enable or disable automatic plugin activation when new posts are published on your site.", 'perfboost-scheduled-plugin-deactivator');
                                    ?>
                              </div>
                           </div>
                        </h1>
                     </td>
                     <td>
                        <div class="slideThree">	
                           <input class="input-checkbox" type="checkbox" id="perfboost_posting" name="perfboost_Poster_Settings[perfboost_posting]"<?php
                              if ($perfboost_posting == 'on')
                                  echo ' checked ';
                              ?>>
                           <label for="perfboost_posting"></label>
                        </div>
                     </td>
                  </tr>
               </table>
            </div>
            <div><?php if($perfboost_posting != 'on'){echo '<div class="crf_bord cr_color_red cr_auto_update">' . esc_html__('This feature of the plugin is disabled! Please enable it from the above switch.', 'perfboost-scheduled-plugin-deactivator') . '</div>';}?>
               <hr/>
               <table class="widefat">
                  <tr>
                     <td>
                        <div class="hideGroup">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Select the how you wish to change affected plugin's state.", 'perfboost-scheduled-plugin-deactivator');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Activate Or Deactivate Plugins When Publishing New Posts:", 'perfboost-scheduled-plugin-deactivator');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideGroup">
                        <select id="activate_deactivate" name="perfboost_Poster_Settings[activate_deactivate]" class="cr_width_full">
                        <option value="activate" <?php if($activate_deactivate == 'activate') echo ' selected';?> ><?php echo esc_html__("Activate", 'perfboost-scheduled-plugin-deactivator');?></option>
                        <option value="deactivate" <?php if($activate_deactivate == 'deactivate') echo ' selected';?> ><?php echo esc_html__("Deactivate", 'perfboost-scheduled-plugin-deactivator');?></option>
                        </select>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideGroup">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Select the list of plugins you wish to activate/deactivate when you publish new posts on your site.", 'perfboost-scheduled-plugin-deactivator');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Change Status For These Plugins When Publishing New Posts:", 'perfboost-scheduled-plugin-deactivator');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideGroup">
                        <select multiple size="5" id="plug_list" name="perfboost_Poster_Settings[plug_list][]" class="cr_width_full">
<?php
                                $result = get_plugins();
                                {
                                    foreach($result as $indx => $plgns)
                                    {
                                        echo '<option value="' . $indx . '"';
                                        foreach($plug_list as $datec)
                                        {
                                            if ($indx == $datec) {
                                                echo ' selected';
                                                break;
                                            }
                                        }
                                        echo '>';
                                        if(is_plugin_active($indx))
                                        {
                                            echo '[ACTIVATED] ';
                                        }
                                        echo $plgns['Name'] . '</option>' ;
                                    }
                                }
?>
                              </select>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Select if you wish to apply the plugin status changes network wide.", 'perfboost-scheduled-plugin-deactivator');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Network Wide Action:", 'perfboost-scheduled-plugin-deactivator');?></b>
                     </td>
                     <td>
                     <input type="checkbox" id="network_wide" name="perfboost_Poster_Settings[network_wide]"<?php
                        if ($network_wide == 'on')
                            echo ' checked ';
                        ?>>
                     </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to prevent calling activation/deactivation hooks for plugins?", 'perfboost-scheduled-plugin-deactivator');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Do Not Call Plugin Activation/Deactivation Hooks:", 'perfboost-scheduled-plugin-deactivator');?></b>
                     </td>
                     <td>
                     <input type="checkbox" id="no_hook" name="perfboost_Poster_Settings[no_hook]"<?php
                        if ($no_hook == 'on')
                            echo ' checked ';
                        ?>>
                     </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to revert the status change after a number of seconds? If you activate plugins when you publish new posts, these will be deactivated after this number of seconds. To disable this feature, leave this field blank.", 'perfboost-scheduled-plugin-deactivator');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Revert Plugin State After (seconds):", 'perfboost-scheduled-plugin-deactivator');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" min="1" step="1" name="perfboost_Poster_Settings[revert_after]" value="<?php echo esc_html($revert_after);?>" placeholder="Revert status delay" class="cr_width_full">
                        </div>
                     </td>
                  </tr>
               </table>
               </div>
            <div>
               <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'perfboost-scheduled-plugin-deactivator');?>"/></p>
            </div>
      </form>
      <?php
         }
         ?>
      </div>
   </div>
</div>
<?php
   }
   ?>